export interface Users {}

const DBStruct = {
  users: {
    tableStruct: {
      id: {
        type: 'integer',
        primary: true,
        autoIncrement: true,
      },
      pw: {
        type: 'text',
        notNull: true,
        unique: true,
      },
      notes: {
        type: 'text',
      },
      loginCount: {
        type: 'number',
        defaultZero: true,
      },
      created: {
        type: 'text',
        notNull: true,
      },
      lastLogin: {
        type: 'text',
      },
      lastAccess: {
        type: 'text',
      },
      avaiblePWRequests: {
        type: 'number',
        defaultZero: true,
      },
      pwRequestCount: {
        type: 'number',
        defaultZero: true,
      },
      createdBy: {
        type: 'number',
      },
    },
  },
  sessions: {
    foreignKey: [
      {
        keysFrom: ['userID'],
        table: 'users',
        keysTo: ['id'],
      },
    ],
    tableStruct: {
      id: {
        type: 'text',
        primary: true,
        notNull: true,
      },
      userID: {
        type: 'number',
        notNull: true,
      },
      createDate: {
        type: 'text',
        notNull: true,
      },
      lastAccess: {
        type: 'text',
      },
      isScript: {
        type: 'number',
        notNull: true,
      },
    },
  },
}
export default DBStruct
